%global dlrn_nvr validations-libs-1.0.5.dev1-1.20200914174429.4a660ec
%global dlrn 1
%define upstream_version 1.0.5.dev1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-libs
%global sum A collection of python libraries for the Validation Framework

Name:           python-%{upstream_name}
Summary:        %{sum}
Version: 1.0.5
Release: 1.20200914174430%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-libs
Source0: validations-libs-1.0.5.dev1-1.20200914174429.4a660ec.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=4a660ec9262d0acd9e442c2befa94fe968613171
Patch0001: 0001-Remove-install-unnecessary-packages.patch
Patch0002: 0002-Add-the-documentation-build-back-in-the-CI.patch
Patch0003: 0003-Install-CI-roles-into-ansible-roles-dir.patch
Patch0004: 0004-Add-ansible-dependency.patch
Patch0005: 0005-Add-parameters-values-to-the-validation-show-command.patch
Patch0006: 0006-Fix-show-validation-stats-with-correct-number.patch
Patch0007: 0007-Remove-CI-roles-from-validations-libs.patch
Patch0008: 0008-Validator-Run-Detect-unknown-validations-from-the-co.patch
Patch0009: 0009-Fix-parameters-management.patch
Patch0010: 0010-Ensure-we-re-using-proper-types-for-validation_name-.patch
Patch0011: 0011-add-Vagrantfile-for-Validation-Framework-dev-work.patch

BuildArch:      noarch

%description
A collection of python libraries for the Validation Framework

%package -n     python%{pyver}-%{upstream_name}
Summary:        %{sum}
%{?python_provide:%python_provide python%{pyver}-%{upstream_name}}

BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr >= 3.1.1
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-ansible-runner >= 1.2.0

Requires:       python%{pyver}-pbr >= 3.1.1
Requires:       python%{pyver}-six >= 1.11.0
Requires:       python%{pyver}-ansible-runner >= 1.2.0
%if %{pyver} == 2
Requires:       PyYAML
%else
Requires:       python%{pyver}-PyYAML
%endif

%description -n python%{pyver}-%{upstream_name}
A collection of python libraries for the Validation Framework

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} %{pyver_bin} setup.py test

%files -n python%{pyver}-%{upstream_name}
%license LICENSE
%doc README* AUTHORS ChangeLog
%{pyver_sitelib}/validations_libs
%{pyver_sitelib}/validations_libs-*.egg-info
%exclude %{pyver_sitelib}/validations_libs/test*

%changelog
* Wed Oct 28 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 1.0.5-1.20200914174430
- add Vagrantfile for Validation Framework dev work
- Ensure we're using proper types for validation_name and _id
- Fix parameters management (rhbz#1887777)
- [Validator Run] Detect unknown validations from the command-line
- Remove CI roles from validations-libs
- Fix show validation stats with correct number (rhbz#1887722)
- Add parameters values to the validation show command (rhbz#1887710)
- Add ansible dependency
- Install CI roles into ansible roles dir
- Add the documentation build back in the CI
- Remove install unnecessary packages

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lower-constraints errors
- Update validation path with the share/ansible one

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow to set python interper for ansible execution

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add lower ansible-runner version as requirements for train

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a way to override the default validation log path

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch legacy Zuul jobs to native Zuul v3 jobs

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update openstackdocstheme.

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Show history by play and add get status action

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change zuul config for functional CI execution

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove playbook param from run_validation

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add base_dir param to override the constants value easily

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Filter get_all_log_file by extension

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Catch value error when extract log info from log name

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle multiple validation logs results

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add API Documentation structure

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid None value when missing data in ansible log

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix title.
- Raise exception if no validation is found
- Add asynchronous option to validation libs

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the minversion parameter.

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move unit tests execution to stestr

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump default tox env from py37 to py38
- Add py38 package metadata

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Sun Apr 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Format output in json or yaml for validations show param

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use validation_path attribut instead of variables

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Declare playbooks for groups execution
- Expose limit hosts option to the validation run actions

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
